package com.ozs.mdm.dto;

import io.swagger.annotations.ApiModelProperty;

public class UpdateColumnDTO {
	@ApiModelProperty("ID")
	private String id;
	@ApiModelProperty("字段名称")
	private String columnName;
	@ApiModelProperty("字段描述")
	private String columnComment;
	@ApiModelProperty("字段类型")
	private Integer columnType;
	@ApiModelProperty("字段长度")
	private Integer length;
	@ApiModelProperty("字段小数位数")
	private Integer numericScale;
	@ApiModelProperty("是否是主键")
	private Integer ifPrimary;
	@ApiModelProperty("是否可为空")
	private Integer ifNull;
	@ApiModelProperty("字段所属表ID")
	private String tableId;
	@ApiModelProperty("字段序列号")
	private String columnCode;
	@ApiModelProperty("创建人ID")
	private String updateUserId;
	@ApiModelProperty("更新时间")
	private String updateTime;
	@ApiModelProperty("字段类型名称")
	private String columnTypeName;
	@ApiModelProperty("字段修改操作，modify（修改字段其他属性）,change(修改字段名),drop（删除字段）,add（增加字段）")
	private String columnUpdateType;

	@ApiModelProperty("原字段名称")
	private String oldName;

	public String getOldName() {
		return oldName;
	}

	public void setOldName(String oldName) {
		this.oldName = oldName;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getColumnName() {
		return columnName;
	}

	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}

	public String getColumnComment() {
		return columnComment;
	}

	public void setColumnComment(String columnComment) {
		this.columnComment = columnComment;
	}

	public Integer getColumnType() {
		return columnType;
	}

	public void setColumnType(Integer columnType) {
		this.columnType = columnType;
	}

	public Integer getLength() {
		return length;
	}

	public void setLength(Integer length) {
		this.length = length;
	}

	public Integer getNumericScale() {
		return numericScale;
	}

	public void setNumericScale(Integer numericScale) {
		this.numericScale = numericScale;
	}

	public Integer getIfPrimary() {
		return ifPrimary;
	}

	public void setIfPrimary(Integer ifPrimary) {
		this.ifPrimary = ifPrimary;
	}

	public Integer getIfNull() {
		return ifNull;
	}

	public void setIfNull(Integer ifNull) {
		this.ifNull = ifNull;
	}

	public String getTableId() {
		return tableId;
	}

	public void setTableId(String tableId) {
		this.tableId = tableId;
	}

	public String getColumnCode() {
		return columnCode;
	}

	public void setColumnCode(String columnCode) {
		this.columnCode = columnCode;
	}

	public String getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(String updateUserId) {
		this.updateUserId = updateUserId;
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	public String getColumnTypeName() {
		return columnTypeName;
	}

	public void setColumnTypeName(String columnTypeName) {
		this.columnTypeName = columnTypeName;
	}

	public String getColumnUpdateType() {
		return columnUpdateType;
	}

	public void setColumnUpdateType(String columnUpdateType) {
		this.columnUpdateType = columnUpdateType;
	}

}
